Function
nodeUp
Returns the vertex descriptor of the parent node.
nodeUp(iterator)
Include Headers
seqan/index.h
Parameters

iterator | An iterator of a suffix tree. Types: TopDown Iterator

Return Values
The vertex descriptor of the parent node. The type is VertexDescriptor<TIndex>::Type. If iterator points at the root node, the vertex descriptor of iterator (value(iterator)) is returned.
Types: VertexDescriptor
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48